%define _unpackaged_files_terminate_build 0
%define pilot_support 0

Summary: The GNOME Personal Information Manager.
Name: gnome-pim
Version: 1.4.9
Release:  %mkrel 8

License: GPL
Group: Office
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-pim/gnome-pim-%{version}.tar.bz2
Source1: gnomecal_16.png
Source2: gnomecal_32.png
Source3: gnomecal_48.png
Source4: gnomecard_16.png
Source5: gnomecard_32.png
Source6: gnomecard_48.png
# (fc) 1.4.9-4mdk fix help call and don't complain when launcing gnomecard 
# (Mdk bug 916)
Patch0: gnome-pim-1.4.9-fixhelp.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	flex
%if %{pilot_support}
BuildRequires:	gnome-pilot-devel >= 0.1.62
%endif
BuildRequires:	gnome-libs-devel
#BuildRequires:	libgnomeui2_0-devel >= 2.0.0
#BuildRequires:	libmimedir-devel
BuildRequires:	libxml-devel
Obsoletes: gnome-pim-devel
Provides: gnome-pim-devel = %{version}
#PreReq: scrollkeeper >= 0.3
URL: http://www.gnome.org/gnome-office/gnome-pim.shtml

%description
The GNOME Personal Information Manager consists of applications to make
keeping up with your busy life easier.

Currently these apps are present:

 - gnomecal :  personal calendar and todo list
 - gnomecard:  contact list of friends and business associates

%package conduits

Summary:	Gnome Pilot conduits for GnomeCal and GnomeCard
Group:         Office
Requires:       %{name} = %{version}
Requires:		gnome-pilot >= 0.1.62


%description conduits
The gnome-pim-conduits package includes the conduits needed to connect
your PalmPilot with gnome-pim applications.

Currently these conduits are present:

 - gnomecal :  synchronizes your GnomeCal calendar with your Palm's calendar
 - gnomecard:  synchronizes your contact list

%prep
%setup -q
%patch0 -p1 -b .fixhelp

%build

%configure2_5x

make


%install
rm -rf $RPM_BUILD_ROOT

DISABLE_GCONF_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir} $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_miconsdir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/gnomecal.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/gnomecal.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/gnomecal.png
cp %{SOURCE4} $RPM_BUILD_ROOT%{_miconsdir}/gnome-card.png
cp %{SOURCE5} $RPM_BUILD_ROOT%{_iconsdir}/gnome-card.png
cp %{SOURCE6} $RPM_BUILD_ROOT%{_liconsdir}/gnome-card.png


# remove files not packaged
rm -rf	$RPM_BUILD_ROOT%{_libdir}/gnome-pilot/conduits/*.a \
	$RPM_BUILD_ROOT%{_libdir}/gnome-pilot/conduits/*.la

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	needs="gnome" \
	section="Office/Time Management" \
	title="Gnome-Cal" \
	longtitle="Personal calendar and todo list" \
	command="%{_bindir}/gnomecal" \
	icon="gnomecal.png" \
	startup_notify="false"
?package(%{name}): \
	needs="gnome" \
	section="Office/Address Books" \
	title="Gnome-Card" \
	longtitle="Contact list of friends and business associates" \
	command="%{_bindir}/gnomecard" \
	icon="gnome-card.png" \
	startup_notify="false"
EOF

%{find_lang} %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
#if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
#GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
#export GCONF_CONFIG_SOURCE
#for SCHEMA in gnomecal gnomecard; do
# gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
#done
%{update_menus}

%postun
#if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
%{clean_menus}


%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING ChangeLog
#%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%config(noreplace) %{_sysconfdir}/CORBA/servers/*
%{_bindir}/*
#%{_libdir}/bonobo/servers/*
#%{_datadir}/gnomecard
%{_datadir}/gnome/apps/Applications/*
%{_datadir}/mime-info/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/pixmaps/*
%{_menudir}/*
%{_datadir}/idl/*
#%{_datadir}/omf/*

%if %{pilot_support}
%files conduits
%defattr(-, root, root)
%{_libdir}/gnome-pilot/conduits/*.so*
#%{_libdir}/gnome-pilot/conduits/*.a
#%{_libdir}/gnome-pilot/conduits/*.la
%{_datadir}/pixmaps/gnome-calendar-conduit.png
%{_datadir}/gnome-pilot/conduits/*
%endif

%changelog
* Mon Oct 30 2006 Texstar <texstar@houston.rr.com>
- Rebuild for PCLinuxOS 2007
